# getDataSubjectRequest

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/dsr-requests/{id} |

| Field | Value |
|---|---|
| operationId | getDataSubjectRequest |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /dsr-requests/{id} |
| tags | `Data Subject Requests` |
| summary | Read a data subject request by id |
| badges | `{"name":"Admin"}`, `{"name":"Owner"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | The DSR request | #/components/schemas/DsrRequestResponseDto |
| 400 | Malformed id path parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | The request exists in another tenant (DSR_FORBIDDEN) | #/components/schemas/ApiErrorResponseDto |
| 404 | No DSR request with this id (DSR_NOT_FOUND) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "The DSR request belongs to another tenant",
  "error": "DSR_FORBIDDEN"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "DSR request not found",
  "error": "DSR_NOT_FOUND"
}
```
